<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:gri="http://java.sun.com/jsf/composite/gri">
    <!-- expected param: patient (this patient must extends AbstractPatient) -->
    <s:div id="editAbstractPatientAddress">
        <a4j:commandButton value="#{messages['net.ihe.gazelle.patgen.AddAnAddress']}"
                           styleClass="gzl-btn-green"
                           actionListener="#{managerBean.createNewAddress(patient)}"
                           rendered="#{managerBean.addrToEdit == null}"
                           render="editAbstractPatientAddress"/>
        <br/><br/>
        <a4j:repeat value="#{patient.addressList}" var="addr">
            <gri:panel>
                <f:facet name="header">
                    <h:outputText value="#{addr.addressType.label}"/>
                    <s:span styleClass="fa fa-star" rendered="#{addr.mainAddress}" title="Preferred address"/>
                </f:facet>
                <f:subview id="displayMode" rendered="#{not managerBean.editAddress(addr)}">
                    <ui:include src="/patient/addressDisplay.xhtml">
                        <ui:param name="addr" value="#{addr}"/>
                    </ui:include>
                </f:subview>
                <f:subview id="editMode" rendered="#{managerBean.editAddress(addr)}">
                    <ui:include src="/patient/addressEdit.xhtml">
                        <ui:param name="addrToEdit" value="#{addr}"/>
                        <ui:param name="managerBean" value="#{managerBean}"/>
                        <ui:param name="advancedEdit" value="#{advancedEdit}"/>
                    </ui:include>
                </f:subview>
                <f:facet name="footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.patgen.EditAddress']}"
                                       styleClass="gzl-btn-blue"
                                       actionListener="#{managerBean.setAddrToEdit(addr)}"
                                       rendered="#{not managerBean.editAddress(addr)}"
                                       render="editAbstractPatientAddress"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.patgen.Done']}"
                                       styleClass="gzl-btn-green"
                                       actionListener="#{managerBean.setAddrToEdit(null)}"
                                       rendered="#{managerBean.editAddress(addr)}"
                                       render="editAbstractPatientAddress"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.patgen.Delete']}"
                                       styleClass="gzl-btn-red"
                                       actionListener="#{patient.removePatientAddress(addr)}"
                                       rendered="#{not managerBean.editAddress(addr)}"
                                       render="editAbstractPatientAddress"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.patgen.Cancel']}"
                                       styleClass="gzl-btn"
                                       actionListener="#{managerBean.setAddrToEdit(null)}"
                                       byPassUpdates="true" immediate="true"
                                       rendered="#{managerBean.editAddress(addr)}"
                                       render="editAbstractPatientAddress"/>
                </f:facet>
            </gri:panel>
        </a4j:repeat>
    </s:div>
</ui:composition>
